# Create a family; you become its owner

Use kind "family". New Teams creation (kind "team" or omitted) returns 403; existing teams continue operating.

HTML: https://notify.belweave.ai/docs/api/postTeams

Required scopes: `teams:write`

```http
POST /api/agent/teams
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Create a family; you become its owner",
  "description": "Use kind \"family\". New Teams creation (kind \"team\" or omitted) returns 403; existing teams continue operating.",
  "operationId": "postTeams",
  "security": [
    {
      "bearer": [
        "teams:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "teams:write"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 60
            },
            "kind": {
              "type": "string",
              "const": "family"
            }
          },
          "required": [
            "name",
            "kind"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "201": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "team": {
                "$ref": "#/components/schemas/Team"
              }
            },
            "required": [
              "team"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
